[Deprecated]: V2.0

post

/ec-dc-svc/rest/v2.0/studies/{studyId}/{mode}/studyVersion/{studyVersion}/signSubject/subject/{subjectId}/code/{code}/orgId/{orgId}

Deprecated: Signs a subject and all completed visits in the subject. Repeating sections supported. Use V4 in addition to V3 it utilizes signDTO subject signature.

Request

Path Parameters
Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Subjects sign success
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : SignVerifyFreezeDTOv30
Type: object
Extends v20 by adding form section identifier and repeat form number for repeating forms.
Show Source
  • Minimum Length: 0
    Maximum Length: 2048
    Additional comments if provided
    Example: Data discrepancy observed and clarified
  • Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example: AF77C6450BE94DE293C9630142E0AFAD
  • Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.
    Example: 3
  • Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.
    Example: 7978B7DD0A0A4CA899C485990994300C
  • Unique identifier of the table within a two section form or lab form. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example: 0C50E26E482246B2BB9646C739E97CAA
  • Freeze status can be of FROZEN, UNFROZEN, NEVER_FROZEN
    Example: FROZEN
  • Unique identifier (UUID, 32-character uppercase hexadecimal string) for the Sign/Verify/Freeze record in UUID format
    Example: 1BC29B36F5D64B1B95F4BDBBCEA481BE
  • Unique identifier (UUID, 32-character uppercase hexadecimal string) of the question within a form. This ID corresponds to the reference code set by the study designer when creating or updating a form question in draft mode.
    Example: 33CAF3CB1DF64DF5A353A337CBE6B50A
  • Audit trail field that represents the version number of the data.
    Example: 1
  • Operation type on the record, can have values CREATED, MODIFIED or REMOVED
    Example: CREATED
  • Minimum Length: 0
    Maximum Length: 255
    reason to make this change
    Example: Other
  • Represents the ordinal number assigned to a repeated instance of a data collection form. It uniquely identifies each occurrence of a repeating form for a subject when multiple instances of the form.
    Example: 0
  • Indicates the order of occurrence for a repeating form instance, used to distinguish between multiple repetitions of the same form.
    Example: 1
  • Signed status can be of SIGNED, UNSIGNED, NEVER_SIGNED, PARTIAL_SIGNED
    Example: 2C3F40649C654D0F995A7FDBBCEA4FAB
  • Software version number
    Example: 100
  • String representing the version of the study. Helps track changes in form or study design.
    Example: 2.0.0.38
  • Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example: C39E34A9152148E0BB831239BAA3E502
  • Unique user identifier representing the clinicalone user who modified or interacted with the subject record. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example: 2C3F40649C654D0F995A7FDBBCEA4FAB
  • Verify status can be UNVERIFIED, VERIFIED, NEVER_VERIFIED, VERIFY_REQUIRED
    Example: VERIFIED
  • The end date until which the data is applicable or valid.
    Example: 2023-01-02T17:30:00Z
  • The timestamp marking the beginning of the validity period for this record version within the system.
    Example: 2023-01-01T09:00:00Z

400 Response

Bad request.
Body ()
Root Schema : DcsResponse
Type: object
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Nested Schema : details
Type: object
Back to Top